<template>
  <div class="dashboard-container">
    <el-form :model="peopleform"  ref="peopleform">
      <div class="search-div">
        <el-row>
          <el-col :span="8">
            <div>
              <el-form-item label="类型名称" class="fourLabel" label-width="98px">
                <el-input placeholder="请输入" v-model="peopleform.priceTypeName" clearable>
                </el-input>
              </el-form-item>
            </div>
          </el-col>
          <el-col :span="8">
            <el-button class="outButton  mgt-3" type="primary" @click="query">
              <i class="iconfont">&#xe67f;</i><span>查询</span>
            </el-button>
          </el-col>
        </el-row>
      </div>
      <div style="clear:both;border-top:1px dashed #5aaafa;margin-bottom:10px;margin-top:-12px">
      </div>
      <el-row>
        <el-col :span="24">
          <div class="addBtnBg">
            <!-- <el-button class="outButton" icon="el-icon-search"  type="primary">清空</el-button> -->
            <el-button class="outButton" @click="addBtn" type="primary"> <i class="iconfont">&#xe698;</i>
              <span>新增</span></el-button>
          </div>
        </el-col>
      </el-row>
    </el-form>
    <el-row>
      <el-table tooltip-effect="dark" style="width: 100%;" align="center" border stripe highlight-current-rowv-loading="tableLoading" :data="tableData">
        <el-table-column align="center" label="序号" width="60">
          <template slot-scope="scope"><span>{{scope.$index+1}}</span></template>
        </el-table-column>
        <el-table-column align="center" :show-overflow-tooltip="true" label="类型名称" width="310px" prop="priceTypeName">
        </el-table-column>
        <el-table-column align="center" :show-overflow-tooltip="true" label="使用年限" prop="useYear">
        </el-table-column>
        <el-table-column width="300" label="操作" align="center">
          <template slot-scope="scope">

            <el-tooltip class="item" effect="light" content="修改" placement="top">
              <el-button class="button operate_edit_btn" type="primary" @click.stop="see('update',scope.row)">
                <i class="iconfont ">&#xe693;</i>
              </el-button>
            </el-tooltip>
            <el-tooltip class="item" effect="light" content="删除" placement="top">
              <el-button class="button operate_delete_btn" type="primary" @click.stop="deleteFn(scope.row)">
                <i class="iconfont">
                  &#xec21;
                </i>
              </el-button>
            </el-tooltip>
            <el-tooltip class="item" effect="light" content="查看" placement="top">
              <el-button class="button operate_show_btn" type="primary" @click.stop="see('see',scope.row)">
                <i class="iconfont ">&#xe67e;</i>
              </el-button>
            </el-tooltip>
          </template>
        </el-table-column>
      </el-table>
      <!-- 分页开始 -->
      <div class="pagination-container">
        <el-pagination class="right" :current-page.sync="limit.page" :page-size="limit.size" :page-sizes="[10,20,30,40]" :total="limit.total" @size-change="handleChangeSize" @current-change="handleCurrentChangePage" layout="total, sizes, prev, pager, next, jumper">
        </el-pagination>
      </div>
    </el-row>

  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import { priceTypePage, PriceTypeDelete } from '@/api/indexManage/index'
export default {
  name: 'Daily',
  data() {
    return {
      peopleform: {},
      yearArr: [{
        index: 1,
        value: '发布'
      }],
      status: [{
        index: 1,
        dictName: '未提交',
      }, {
        index: 2,
        dictName: '已提交',
      }, {
        index: 3,
        dictName: '审核通过',
      }, {
        index: 4,
        dictName: '驳回',
      }],
      dataDictioPubArr: [{
        index: 1
      }],
      tableData: [{
        index: 1
      }],
      limit: {
        page: 1,
        size: 10,
        total: 0
      }
    }
  },
  computed: {
    ...mapGetters([
      'name'
    ])
  },
  mounted() {
    this.getAll(this.limit, {})
  },
  methods: {
    getAll(obj, data) {
      priceTypePage(obj, data).then(res => {
        this.tableData = res.data.resultList
        this.limit.total = res.data.total
      })
    },
    query() {
      this.getAll(this.limit, this.peopleform)
    },
    see(state, row) {
      if (state === 'see') {
        this.$router.push({ path: '/monitorArea/priceTypeDetail', query: { id: row.id, state: 'detail' } })
      } else {
        this.$router.push({ path: '/monitorArea/priceTypeDetail', query: { id: row.id, state: 'update' } })
      }
    },
    deleteFn(row) {


      this.$confirm('此操作将永久删除该文件, 是否继续?', '提示', {
        cancelButtonText: '取消',
        confirmButtonText: '确定',
        type: 'warning'
      }).then(() => {
        let arr = [];
        arr.push(row.id)
        PriceTypeDelete(arr).then(res => {
          this.$message({
            type: "success",
            message: '删除成功'
          })
          this.getAll(this.limit, {})
        })
      }).catch(() => {
        this.$message({
          type: 'info',
          message: '已取消删除'
        });
      });

    },
    handleChangeSize(value) {
      this.limit.size = value;
      this.getAll()
    },
    handleCurrentChangePage(value) {

    },
    addBtn() {
      this.$router.push({ path: '/monitorArea/priceTypeDetail' })
    }
  }
}
</script>
